Package org.apache.tools.ant

# Class UnsupportedAttributeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.tools.ant.BuildException
org.apache.tools.ant.UnsupportedAttributeException

All Implemented Interfaces:
  `java.io.Serializable`

    public class UnsupportedAttributeException
    extends BuildException

Used to report attempts to set an unsupported attribute

Since:
  Ant 1.6.3
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UnsupportedAttributeException​(java.lang.String msg, java.lang.String attribute)` | Constructs an unsupported attribute exception.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getAttribute()` | Get the attribute that is wrong.

### Methods inherited from class org.apache.tools.ant.BuildException

`getException, getLocation, setLocation, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsupportedAttributeException

public UnsupportedAttributeException​(java.lang.String msg, java.lang.String attribute)
Constructs an unsupported attribute exception.

Parameters:
  `msg` - The string containing the message.
  `attribute` - The unsupported attribute.

## Method Details

### getAttribute

public java.lang.String getAttribute()
Get the attribute that is wrong.

Returns:
  the attribute name.